{% trans_default_domain('Battle') %}

{# Temporary while we don't have fights displayed in the canvas! #}
<div id="fights">
    <div class="box3">
        <div class="box3bottom">
            <div class="box3bg">
                <h2 class="h2f">{{ 'fights.title' | trans }}</h2>
                <table class="verybasic troops">
                    <tbody>
                    <tr>
                        <th>Attaquant</th>
                        <th>
                            <img src="{{ asset('img/icons/l_hp.png') }}"
                                 onmouseover="showHintMsg(this, '{{ 'fights.health' | trans }}')"
                                 onmouseout="hideHint()">
                        </th>
                        <th>
                            <img src="{{ asset('img/icons/l_battle.png') }}"
                                 onmouseover="showHintMsg(this, '{{ 'fights.attack' | trans }}')"
                                 onmouseout="hideHint()">
                        </th>
                        <th>Défenseur</th>
                        <th>
                            <img src="{{ asset('img/icons/l_hp.png') }}"
                                 onmouseover="showHintMsg(this, '{{ 'fights.health' | trans }}')"
                                 onmouseout="hideHint()">
                        </th>
                        <th>
                            <img src="{{ asset('img/icons/l_battle.png') }}"
                                 onmouseover="showHintMsg(this, '{{ 'fights.attack' | trans }}')"
                                 onmouseout="hideHint()">
                        </th>
                        <th>
                            <img src="{{ asset('img/swatch.gif') }}"
                                 onmouseover="showHintMsg(this, '{{ 'fights.time' | trans }}')"
                                 onmouseout="hideHint()">
                        </th>
                    </tr>

                    {% for fight in fights %}
                        <tr>
                            {% set unitName = fight.attackingUnit.unitType.name %}
                            <td>
                                <img src="{{ asset('img/icons/u_' ~ unitName ~ '.png') }}">
                                <p>
                                    {{ ('units.' ~ unitName ~ '.name') | trans([], 'Common') }}
                                </p>
                            </td>
                            <td> {{ fight.attackingUnit.remainingHealth }}</td>
                            <td> {{ 1 + fight.attackingUnit.damageBonus }}<br>-<br>{{ 2 + fight.attackingUnit.damageBonus }}</td>
                            {% set unitName = fight.defendingUnit.unitType.name %}
                            <td>
                                <img src="{{ asset('img/icons/u_' ~ unitName ~ '.png') }}">
                                <p>
                                    {{ ('units.' ~ unitName ~ '.name') | trans([], 'Common') }}
                                </p>
                            </td>
                            <td> {{ fight.defendingUnit.remainingHealth }}</td>
                            <td> {{ 1 + fight.defendingUnit.damageBonus }}<br>-<br>{{ 2 + fight.defendingUnit.damageBonus }}</td>
                            <td> {{ fight.estimatedDuration|date('H:i') }} </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>